Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
Chargebeechargebee API

Update an alert

Idempotency Supported

Updates an existing alert configuration. Use this to change the threshold values or toggle the status between enabled and disabled.

Impacts

Alert status on threshold change

When the threshold is updated for an alert, the alarm_status for all impacted subscriptions is reset to within_limit. The alert is only re-evaluated when new usage events are ingested for the associated metered feature.

Alert status on disable

When the alert status is changed to disabled, all further evaluation stops. No webhooks are fired for this alert while it is disabled. When the alert is re-enabled, the alarm_status is set to within_limit and is only re-evaluated upon new usage event ingestion.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/alerts/{alert-id}

Input Parameters

status
optional, enumerated string, default=enabled

Set to enabled to activate the alert or disabled to deactivate it.

Enum Values
enabled

The alert is active and will trigger when the threshold is breached.

disabled

The alert is inactive and will not trigger, regardless of usage.

threshold
Parameters for threshold
pass parameters as threshold[<param name>]

Returns

Alert object
Resource object representing alert